import * as AUTHORITY_CONSTANTS from './authority.constants';

export const Status = {
    STATUS_NOT_DEFINED : 0,
    STATUS_NOT_REQUIRED : 1,
    STATUS_DRAFT : 10,
    STATUS_OPEN : 11,
    STATUS_HOLD : 12,
    STATUS_CANCEL : 13,
    STATUS_COMPLETED : 17,
    STATUS_ACTIVE : 18,
    STATUS_VERIFY : 22,
    STATUS_WAITING_FOR_APPROVAL : 60,
    STATUS_WAITING_APPROVAL_LEASING : 70,
    STATUS_APPROVED : 61,
    STATUS_REJECTED : 62,
    STATUS_TERRITORIAL_VIOLATION : 63,
    STATUS_INDENT: 64,
    VSO_APPROVE : 61,
    VSO_NOT_APPROVE : 75
}

export const AUTHORITY_BY_SEGMENT = {
    SUBSIDI : {
        korsal : AUTHORITY_CONSTANTS.ROLE_KORSAL,
        salesman : AUTHORITY_CONSTANTS.ROLE_SALESMAN,
        kacab : AUTHORITY_CONSTANTS.ROLE_KACAB
    }
}

export const REQUIREMENT_TYPE = {
    REQUIREMENT_TYPE_SUR : 10,
    REQUIREMENT_TYPE_SUR_RETAIL : 40,
    REQUIREMENT_TYPE_SUR_GC : 101,
    REQUIREMENT_TYPE_SUR_DS : 102,
    REQUIREMENT_TYPE_SUR_GP : 103
}

export const REQUEST_TYPE = {
    MOVING_ITEM : 1,
    REQUEST_REQUIREMENT : 2,
    VSO_GROUP : 101,
    VSO_DIRECT : 102,
    VSO_GROUP_PERSON : 103,
    VSO_GROUP_REKANAN : 104,
    VSO_GROUP_INTERNAL : 105
}

export const POSITION_TYPE = {
    KOORDINATOR_SALES : 12,
    SALESMAN : 13
}
